import daj.*;

class Position extends Message {
  public double val;
  public Point point;
  public int pos;
  public int proc;

  Position(double val, Point point, int pos, int proc) {
    this.val = val;
    this.point = point;
    this.pos = pos;
    this.proc = proc;
  }

  Position(Position other) {
    this.val = other.val;
    this.point = other.point;
    this.pos = other.pos;
    this.proc = other.proc;
  }
  
  public String getText() {
    return "val: " + val + " pos: " + proc + "," + pos;
  }
}
